Bug 542313 - Review Request: QTeXEngine - Library enabling Qt based applications to easily export graphics to TeX
Review Request: QTeXEngine - Library enabling Qt based applications to easily...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-29 04:14 EST by Chen Lei
Modified: 2010-09-19 15:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.2-2.20100119svn.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-25 12:20:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Chen Lei 2009-11-29 04:14:27 EST
Description:

QTeXEngine enables Qt based applications to easily export graphics created 
using the QPainter class to TeX.

QTeXEngine is also a requirement for building qtiplot 0.9.7.10.

SPEC: http://dl.dropbox.com/u/1338197/1/QTeXEngine.spec
SRPM: http://dl.dropbox.com/u/1338197/1/QTeXEngine-0.2-0.fc12.src.rpm
Comment 1 Chen Lei 2009-12-01 04:17:06 EST
koji build succeed http://koji.fedoraproject.org/koji/taskinfo?taskID=1839905
Comment 2 Rex Dieter 2010-01-20 16:20:20 EST
A few initial comments:

1. SHOULD : rename pacakge to lower case (if for nothing else, to keep things simple).

2.  MUST drop Requires(post,postun): /sbin/ldconfig
not needed, rpm will pick that up automatically

3.  SHOULD , stuff like this belongs in %prep, not %build,

rm -rf example/.svn
rm -rf test/.svn
sed -i -e "s/INSTALLBASE\/LIB/INSTALLBASE\/%{_lib}/g" src/src.pro

4.  SHOULD use available qt4-based rpm macros, like
%_qt4_bindir (ie, do export PATH=%{_qt4_bindir}:$PATH )
%_qt4_qmake
See /etc/rpm/macros.qt4 for details


Otherwise, the rest is fairly simple and looks pretty good.  Fix that up, and I can approve this and sponsor you.  (while we're at it, what's your FAS username?)
Comment 3 Chen Lei 2010-01-21 03:26:53 EST
Thankee Rex.
I fixed all the problems above except renaming pacakge to lower case, since the libname is libQTeXEngine.so.1 rather than libqtexengine.so.1.

SPEC: http://dl.dropbox.com/u/1338197/1/QTeXEngine.spec
SRPM: http://dl.dropbox.com/u/1338197/1/QTeXEngine-0.2-1.fc12.src.rpm
Comment 4 Chen Lei 2010-01-21 03:30:23 EST
My FAS name is supercyper.
Comment 5 Rex Dieter 2010-01-22 13:19:42 EST
ok, but keep in mind there's no rule or expectation that the packagename = libname.

APPROVED.
Comment 6 Rex Dieter 2010-01-22 13:24:27 EST
Feel free to contact me if you have questions or need help with anything fedora or packaging related.  welcome aboard.
Comment 7 Chen Lei 2010-01-23 02:04:23 EST
New Package CVS Request
=======================
Package Name: QTeXEngine
Short Description: QTeXEngine is a library enabling Qt based applications to easily export graphics to TeX.
Owners: supercyper
Branches: F-12 F-11
InitialCC: supercyper
Cvsextras Commits: yes
Comment 8 Chen Lei 2010-01-23 02:26:02 EST
(In reply to comment #6)
> Feel free to contact me if you have questions or need help with anything fedora
> or packaging related.  welcome aboard.    

Thanks a lot, Rex.
Do you have time to review another package for me, which is also a requirement for building latest qtiplot? I now take the maintainship of qtiplot which orphaned by FESco due to FTBFS bug.
The link is:
https://bugzilla.redhat.com/show_bug.cgi?id=541207
Comment 9 Jason Tibbitts 2010-01-24 12:31:11 EST
CVS done (by process-cvs-requests.py).

Just a question: where did you find a CVS template that still had the
"cvsextras commits" bit in it?  That hasn't been used in some time, and if we
have documentation out there that still tells you to use that then it needs to
be changed.
Comment 10 Fedora Update System 2010-01-25 14:16:42 EST
QTeXEngine-0.2-2.20100119svn.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/QTeXEngine-0.2-2.20100119svn.fc11
Comment 11 Fedora Update System 2010-01-28 22:24:57 EST
QTeXEngine-0.2-2.20100119svn.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-01-28 22:30:39 EST
QTeXEngine-0.2-2.20100119svn.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Chen Lei 2010-09-19 01:17:40 EDT
New Package CVS Request
=======================
Package Name: QTeXEngine
Short Description: Library enabling Qt based applications to easily export graphics to TeX
Owners: supercyper
New Branches: el6
Comment 14 Kevin Fenzi 2010-09-19 15:22:53 EDT
Please use a "Package Change Request" for a change to an existing package?

http://fedoraproject.org/wiki/Package_SCM_admin_requests

Note You need to log in before you can comment on or make changes to this bug.